Bug 131852 - RFE: Please update xalan-j to newer (2.7.0) version
Summary: RFE: Please update xalan-j to newer (2.7.0) version
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xalan-j   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-05 17:38 UTC by Marcin Garski
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 09:47:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcin Garski 2004-09-05 17:38:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.2)
Gecko/20040803

Description of problem:
Fedora Core Devel contain version 2.4.1 of xalan-j
A newer version 2.6.0 is available.

It would be good to add full URL in Source:
http://www.apache.org/dist/xml/xalan-j/source/%{name}_%(echo
%{version} | sed 's:\.:_:g')-src.tar.gz

Version-Release number of selected component (if applicable):
2.4.1-16

How reproducible:
Always

Steps to Reproduce:
1. rpm -qa | grep xalan-j

Additional info:

Comment 1 Gary Benson 2004-09-08 11:21:21 UTC
Xalan 2.6.x will appear in FC3 in due course. Please don't file bugs
about new versions of packages unless there are specific issues that
upgrading to the new packages would fix.  

Also, 'rpm -q xalan-j' is much more efficient than 'rpm -qa | grep
xalan-j'.

Comment 2 Marcin Garski 2005-10-30 21:23:36 UTC
"Xalan 2.6.x will appear in FC3 in due course." - we have now FC4, and I still
see in Rawhide "Version: 2.4.1".

Comment 3 Gary Benson 2005-10-31 09:47:46 UTC
Please don't file bugs of the form "X is old".

Comment 4 Marcin Garski 2005-10-31 12:00:52 UTC
Where do you see "X is old"? Let's look at summary: we have Request for
Enhancement (nothing about "X is old"), "Please update xalan-j to newer (2.7.0)
version" I don't see anything about "X is old" I only see that I please you to
update xalan-j to newer version, I haven't wrote that anything is old, only that
newer version is available and it will be greate if you update it.

Furthermore you have wrote that FC3 will include Xalan 2.6.x, we have FC4 and I
don't see 2.6.x release in repo.

The last two things.
1. FC is a bleading edge distro.
2. Give me a reason why not to file such bugs? Look at bug #126384, hmm if you
look at Bug 126384 blocks, you will notice that even in RHEL (not bleading edge
distro) vixie-cron will be updated to newer version. I can provide you more
examples of such bug reports.

Comment 5 Gary Benson 2005-10-31 12:20:39 UTC
Please, I am the maintainer of nearly one hundred packages, many of which are
not the latest and greatest versions, and I do not need a hundred "please update
me" requests in my bug list to know this.  If there are specific reasons why you
wish packages to be upgraded, please join fedora-devel-java-list and discuss
them there.

Comment 6 Marcin Garski 2005-10-31 15:46:08 UTC
Ok, I understood and won't file such bug reports for your packages. Thanks for
reply!

Comment 7 Gary Benson 2005-10-31 16:00:00 UTC
Thanks for listening!


Note You need to log in before you can comment on or make changes to this bug.